/*
 * XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
 * SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
 * XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
 * AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
 * OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
 * IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
 * AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
 * FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
 * WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
 * IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
 * REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
 * INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE.
 *     
 * (c) Copyright 2006 Xilinx, Inc.
 * All rights reserved.
 *
 */
 
/*
 * Modification history:
 *    01/2006 - Rob Armstrong - Xilinx, Inc.
 *            - Initial File Version
 */

#ifndef _PING_RESPONDER_H
#define _PING_RESPONDER_H

/* Includes for Xilinx IP */
#include "xuartns550_l.h"
#include "xtemac.h"
#include "xexception_l.h"
#include "xintc.h"

/* Other Headers */
#include "string.h" // Needed for memset

/* Generated headers from XPS */
#include "xparameters.h"

/* Redefinitions of program constants from xparameters.h for readability */
#define TEMAC_BASEADDR    XPAR_TRIMODE_MAC_GMII_BASEADDR
#define TEMAC_DEVICE_ID   XPAR_TRIMODE_MAC_GMII_DEVICE_ID
#define TEMAC_INT_VEC     XPAR_OPB_INTC_0_OPB_TRIMODE_MAC_GMII_IP2INTC_IRPT_INTR
#define INTC_DEVICE_ID    XPAR_OPB_INTC_0_DEVICE_ID
#define UART_BASEADDR     XPAR_RS232_UART_2_BASEADDR
#define UART_CLK_SPEED    XPAR_XUARTNS550_CLOCK_HZ

/* Constant definitions for program use */
#define HEADERLENGTH 14
#define TRUE 1
#define FALSE 0

/* Define an aligned data type for the Ethernet frames. This declaration is
 * specific to the GNU compiler.
 */
//typedef unsigned char EthernetFrame[XTE_MAX_FRAME_SIZE] __attribute__ ((aligned (8)));

#endif
